> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Settings

> Returns the current webhook configuration for your organization. Webhooks must be enabled before events are dispatched.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json get /configure_webhook
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /configure_webhook:
    get:
      tags:
        - Webhook Portal
      summary: Get Webhook Settings
      description: >-
        Returns the current webhook configuration for your organization.
        Webhooks must be enabled before events are dispatched.
      operationId: configure_webhook_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSettings'
          description: ''
        '403':
          description: 'Forbidden: Access to the site is denied.'
      security:
        - ExternalAuthentication: []
components:
  schemas:
    WebhookSettings:
      type: object
      description: Current webhook configuration for the organization.
      properties:
        enabled:
          type: boolean
          description: Whether webhooks are enabled for this organization.
      required:
        - enabled
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````